:root {
    --logo-color: #2196F3;
    --main-background-color: #2F303A;
    --font-color: #FFFFFF;
    --title-color: #212121;
    --nav-color: #757575;
    --team-background-color: #F5F4FA;
    --header-background-color: #ECECEC;
    --sub-hero-backgroundcolor: #EEEEEE;
    --timing-function: cubic-bezier(0.4, 0, 0.2, 1);
}



body {
    font-family: 'Roboto', sans-serif;
    font-size: 14px;
    font-weight: 400;

}

.header {
    padding: 25px 0;
    border-bottom: 1px solid #ececec;
}

.container {
    width: 1170px;
    padding: 0 15px;
    margin: 0 auto;
}

.flex-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo {
    font-family: 'Raleway', sans-serif;
    font-size: 26px;
    font-weight: 700;
    color: var(--title-color);
    text-decoration: none;
    width: 145px;
    font-size: 26px;
    line-height: 30.52px;
    letter-spacing: 3%;
}

.navigation-list {
    list-style: none;
    display: flex;
    justify-content: flex-start;
}

.navigation-item {
    margin-right: 70px;
    font-weight: 500;
    font-size: 14px;
    line-height: 16.41px;
    letter-spacing: 2%;
}

.blue {
    color: var(--logo-color);
}

.navigation-link {
    font-weight: 500;
    letter-spacing: 0.28px;
    color: var(--title-color);
    text-decoration: none;
    padding-bottom: 30px;
    transition: color 250ms var(--timing-function);
}

.navigation-link::after {
    position: absolute;
    left: 0;
    bottom: 0;
    display: block;
    width: 100%;
    height: 4px;
    background-color: var(--logo-color);
    border-radius: 2px;
}

.navigation-link:hover,
.navigation-link:focus {
    color: var(--logo-color);
    border-bottom: 4px solid var(--logo-color);
}

.contacts {
    list-style: none;
    display: flex;
}

.contacts-item:not(:last-child) {
    margin-right: 76px;
}

.contacts-link {
    font-weight: 500;
    letter-spacing: 0.28px;
    color: var(--nav-color);
    text-decoration: none;
    transition: color 250ms var(--timing-function);
}

.icon-header-mail {
    fill: #757575;
    width: 16px;
    height: 12px;
    padding-right: 10px;
}

.contacts-link:hover .icon-header-mail{
    fill: #2196F3;
}

.icon-header {
    fill: #757575;
    width: 10px;
    height: 16px;
    padding-right: 10px;
}

.contacts-link:hover .icon-header{
    fill: var(--logo-color);
}

.contacts-link:hover,
.contacts-link:focus {
    color: var(--logo-color);
}

.hero {
    background-color: var(--main-background-color);
    padding: 200px 0;
    background-image: url(img/Img.png);
    background-size: cover;
    opacity: 0.9;
    background-image: radial-gradient();
}

.hero-title {
    text-align: center;
    font-size: 44px;
    font-weight: 900;
    letter-spacing: 2.64px;
    line-height: 136%;
    text-transform: uppercase;
    color: var(--font-color);
}

.hero-btn {
    text-align: center;
    font-size: 16px;
    font-weight: 700;
    line-height: 187%;
    letter-spacing: 0.96px;
    border-radius: 4px;
    background-color: var(--logo-color);
    margin: 0 auto;
    display: block;
    color: var(--team-background-color);
    transition: all 300ms cubic-bezier(.23, 1, 0.32, 1);
}

.backdrop{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    opacity: 1;
    transition: opacity 250ms cubic-bezier(0.470, 0.000, 0.745, 0.715);
    visibility: visible;
}
.backdrop.is-hidden {
    opacity: 0;
    visibility: hidden;
    pointer-events: none
}

.modal{
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    transform: scale(1) translate(-50%, -50%);
    transition: transform 250ms cubic-bezier(0.470, 0.000, 0.745, 0.715);
}
.modal {
    padding: 33px 15px;
}
.modal-container {
    position: relative;
    padding: 40px 39px 40px 41px;
    max-height: 581px;
    height: 100%;
    max-width: 528px;
    width: 100%;
    background-color: var(--font-color);
    box-shadow: 0px 1px 3px rgba(0,0,0,.12), 0px 1px 1px rgba(0,0,0,.14), 0px 2px 1px rgba(0,0,0,.2);
    border-radius: 4px;
}
.modal-close {
    position: absolute;
    top: 8px;
    right: 8px;
}
.button-close {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    width: 30px;
    height: 30px;
    border: 1px solid rgba(0, 0, 0, .1);
    border-radius: 50%;
    background-color: var(--font-color);
    cursor: pointer;
    background-size: contain;
    fill: #000;
    transition: fill 250ms var(--timing-function);
}
.modal-title {
    font-weight: 700;
    font-size: 20px;
    line-height: 1.15;
    text-align: center;
   
    color: var(--title-color);
    margin-bottom: 12px;
}

.modal .close {
    position: absolute;
    top: 10px;
    right: 10px;
    border-radius: 30px;
    width: 20px;
    height: 20px;
    cursor: pointer;
    background-color: #f5f5f5;
    border-color: #FFFFFF;
    border: 0px solid;
}
.modal form {
    display: flex;
    flex-direction: column;
}
.form-modal {
    margin-left: 30px;
}
.modal label {
    margin-bottom: 5px;
    font-weight: bold;
    font-size: 12px;
    color: #757575;
    font-weight: 300px;
}
.div-modal-icon-input {
    position: relative;
}
.modal input, .modal textarea {
    padding: 10px;
    margin-bottom: 15px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 14px;
}
.input-modal {
    width: 448px;
}
.div-modal-icon-svg {
    position: absolute;
    top: 127px;
    left: 62px;
}
.modal input, .modal textarea {
    padding: 10px;
    margin-bottom: 15px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 14px;
}
.div-modal-icon-svg-2 {
    position: absolute;
    top: 200px;
    left: 62px;
}
.div-modal-icon-svg-3 {
    position: absolute;
    top: 271px;
    left: 62px;
}
.modal textarea {
    resize: vertical;
}
.textarea-modal {
    width: 448px;
    height: 100px;
}
textarea {
    overflow: auto;
}
.modal .checkbox-label {
    display: flex;
    margin-bottom: 15px;
    display: flex;
    justify-content: center;
    font-size: 14px;
}
.modal .button-modal-list {
    top: 10px;
    right: 10px;
    background: none;
    border: none;
    font-size: 20px;
    cursor: pointer;
    background-color: var(--logo-color);
    color: #FFFFFF;
}
.button-modal-list {
    width: 200px;
    height: 50px;
    margin-left: 156px;
}
.checkbox-label a {
    color: var(--logo-color);
    border-bottom: 1px solid var(--logo-color);
    text-decoration: none;
}
.modal .close:hover {
    color: var(--logo-color);
}
.modal input:hover  {
    border-color: #2196F3;
}
.div-modal-icon-svg:hover .svg-modal-icon {
    fill: #2196F3;
}
.svg-modal-icon{
    width: 18px;
    height: 18px;
    fill: #212121;
    position: absolute;
    top: 22px;
    left: 15px;
    transform: translateY(-50%);
    transition: fill 250ms var(--timing-function);
}
.div-modal-icon-svg-2:hover .svg-modal-icon {
    fill: #2196F3;
}
.div-modal-icon-svg-3:hover .svg-modal-icon {
    fill: #2196F3;
}
.info {
    padding-top: 94px;
    padding-bottom: 94px;
}

.info-list {
    padding: 94px 0;
    display: flex;
    justify-content: space-between;
    list-style: none;
}

.info-item {
    margin: 0 30px;
}

.list-item:nth-child(1)::before {
    content: url("img/antenna\ 1.svg");
    display: flex;
    width: 270px;
    height: 120px;
    justify-content: center;
    background-color: var(--team-background-color);
    align-items: center;
}

.list-item:nth-child(2)::before {
    content: url("img/clock\ 1.svg");
    display: flex;
    width: 270px;
    height: 120px;
    justify-content: center;
    background-color: var(--team-background-color);
    align-items: center;
}

.list-item:nth-child(3)::before {
    content: url("img/diagram\ 1.svg");
    display: flex;
    width: 270px;
    height: 120px;
    justify-content: center;
    background-color: var(--team-background-color);
    align-items: center;
}

.list-item:nth-child(4)::before {
    content: url("img/astronaut\ 1.svg");
    display: flex;
    width: 270px;
    height: 120px;
    justify-content: center;
    background-color: var(--team-background-color);
    align-items: center;
}

.list-title {
    font-size: 14px;
    font-weight: 700;
    letter-spacing: 0.42px;
    text-transform: uppercase;
    color: var(--title-color);

}



.list-text {
    font-size: 14px;
    font-weight: 400;
    line-height: 171.429%;
    letter-spacing: 0.42px;
    color: var(--nav-color);

}




.our-team-worker-description h3 {
    font-weight: 500;
    font-size: 16px;
    line-height: 1.18;
}

.our-team-worker-description p {
    font-weight: 400;
    font-size: 16px;
    line-height: 1.18;
}

.what-we-work {
    padding-bottom: 94px;
}

.what-we-work-img {
    display: flex;
    justify-content: space-between;
}



.our-team-list {
    display: flex;
    justify-content: space-between;
}


figure.our-team-item {
    margin: 0;
    width: 270px;
    text-align: center;
}

.our-team-item img {
    width: 100%;
}

.our-team {
    padding: 50px 0;
    background-color: var(--whitegray-color);
}

.our-team-item {
    background-color: white;
}

.our-team-item {
    box-shadow: 0px 4px 8px 3px rgba(0, 0, 0, 0.19);
}

.our-team-item {
    box-shadow: 0px 4px 8px 3px rgba(0, 0, 0, 0.19);
}

.work-title {
    text-align: center;
    font-size: 36px;
    font-weight: 700;
    letter-spacing: 1.08px;
    color: var(--title-color);

    margin-bottom: 50px;
}

.work-list {
    list-style: none;
    padding: 36px 0;
    display: flex;
}

.what-we-work-img {
    display: flex;
    justify-content: space-between;
}

.what-we-work-img-div {
    position: relative;
}

.work-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.work-text {
    color: var(--font-color);
    position: absolute;
    left: 0;
    bottom: 0;
    background-color: rgb(33, 33, 33, 0.6);
    width: 89%;
    text-align: center;
    text-transform: uppercase;
    font-size: 14px;
    font-family: 'Roboto', sans-serif;
    font-weight: 700;
    display: block;
    padding: 20px;
    margin: 0;
}

.our-team {
    padding-top: 94px;
    padding-bottom: 94px;
    background-color: var(--team-background-color);
}

.our-team-title {
    color: var(--title-color);
    font-weight: 700;
    font-size: 36px;
    line-height: 1.17;
    text-align: center;
    margin-bottom: 50px;
}

.our-team-list {
    display: flex;
    justify-content: space-between;
}

figure.our-team-item {
    margin: 0;
    width: 270px;
    text-align: center;
}

.our-team-item img {
    width: 100%;
    border-style: none;
}

.our-team-div-svg {
    display: flex;
    justify-content: space-around;
    padding-top: 10px;
    padding-bottom: 40px;
}

.social-icon-list {
    display: flex;
    list-style: none;
    padding: 0;
}

.social-icon-list-item {
    text-decoration: none;
}

.social-team-link {
    padding: 10px;
    height: 20px;
    display: block;
    border-radius: 50%;
    transition: color 250ms var(--timing-function), background-color 250ms var(--timing-function);
}


.our-team-svg {
    width: 20px;
    height: 20px;
    fill: #AFB1B8;
}

.social-team-link:hover .our-team-svg {
    fill: white;


}



.social-team-link:hover {
    background-color: #2196F3;
    
    fill: white;
}

.social-link:hover {
    background-color: #2196F3;
    border-radius: 30px;
    fill: white;
}

.social-icon-list-item:hover {
    fill: white;
}

.container-clients {
    width: 100%;
    max-width: 1200px;
    padding-left: 15px;
    padding-right: 15px;
    margin-left: auto;
    margin-right: auto;
}

.clients {
    padding-top: 94px;
    padding-bottom: 82px;
}

.title-clients {
    text-align: center;
    font-size: 36px;
    font-weight: 700;
    letter-spacing: 1.08px;
    color: var(--title-color);
    margin-bottom: 50px;
    padding-top: 94px;
}

.clients-list {
    display: flex;
    gap: 30px;
    list-style: none;
}

.clients-list-item {

    display: flex;
}

.clients-link {
    display: flex;
    width: 170px;
    height: 92px;
    border: 1px solid #AFB1B8;
    border-radius: 4px;
    justify-content: center;
    align-items: center;
    color: #AFB1B8;
    
}

.item-svg {
    
    width: 170px;
    height: 92px;
    transition: fill 250ms, border 250ms;

}

.item-svg:hover {
    border: 1px solid rgba(33, 150, 243, 1);
    fill: #2196F3;
    transition: fill 250ms, border 250ms;

}

.item-svg {
    fill: #AFB1B8;

}

.footer {
    background-color: var(--main-background-color);
    padding: 60px 0;
}

.flex-footer {
    display: flex;
    justify-content: flex-start;
}

.footer-logo {
    color: var(--font-color);
    font-family: 'Raleway', sans-serif;
    font-size: 26px;
    font-weight: 700;
    text-decoration: none;
    width: 145px;
    font-size: 26px;
    line-height: 30.52px;
    letter-spacing: 3%;
}

.address {
    padding: 18px 0;
}

.address-location {
    color: var(--font-color);
    font-size: 14px;
    font-weight: 400;
    line-height: 171.429%;
    letter-spacing: 0.42px;
    text-decoration: none;
}

.address-link {
    color: var(--nav-color);
    font-size: 14px;
    font-weight: 400;
    line-height: 171.429%;
    letter-spacing: 0.42px;
    text-decoration: none;
}

.footer-social {
    margin-left: 70px;
}

.footer-social-title {
    color: #FFFFFF;
    font-size: 14px;
    margin-left: 20px;
}

.social-icon-list {
    display: flex;
    justify-content: center;
}

.article-social {
    display: flex;
    justify-content: center;
}

.social-link {
    fill: #FFFFFF;
    width: 24px;
    height: 24px;
    padding: 12px;
    margin-left: 15px;
    background-color: rgb(53, 60, 69);
    border-radius: 30px;
    transition: background-color 250ms;
}

.social-link:hover {}

.footer-svg {
    width: 24px;
    height: 24px;
}

.footer-right {
    margin-left: 93px;
}

.footer-right-title {
    color: var(--font-color);
    font-size: 14px;
    text-transform: uppercase;
}

.footer-article-right {
    display: flex;
}

.footer-right-input {
    padding: 15px 290px 15px 15px;
    background-color: #2F303A;
    border-color: rgb(255, 255, 255, 0.3);
    border-radius: 5px;
}

.footer-button-right {
    margin-left: 12px;
    padding: 10px 28px;
    align-items: center;
    border: 0px;
    background-color: var(--logo-color);
    color: var(--font-color);
    border-radius: 5px;
    display: flex;
    justify-content: center;
}

.footer-btn-icon {
    margin-left: 10px;
    fill: #FFFFFF;
    width: 24px;
    height: 24px;
}









.sub-hero {
    padding: 45px;
}

.sub-hero-list {
    list-style: none;
    display: flex;
    justify-content: center;
    max-width: 1200px;

}

.sub-hero-item {
    margin-right: 8px;
}

.sub-hero-btn:hover {
    background-color: var(--logo-color);

    box-shadow: 0px 3px 1px rgba(0, 0, 0, 0.1), 0px 1px 2px rgba(0, 0, 0, 0.08), 0px 2px 2px rgba(0, 0, 0, 0.12);
    border-radius: 4px;
    color: var(--font-color);
}

.sub-hero-btn {
    display: inline-block;
    border: none;
    border-radius: 4px;
    padding: 6px 22px;
    min-width: 73px;
    cursor: pointer;
    background-color: var(--team-background-color);
    color: var(--title-color);
    font-family: inherit;
    font-weight: 500;
    font-size: 16px;
    line-height: 1.62;
    text-align: center;
    letter-spacing: 0.03em;
    transition: background-color 250ms, color 250ms;

}

.sub-hero-title {
    font-size: 18px;
    font-weight: 700;
    line-height: 200%;
    letter-spacing: 1.08px;
    color: var(--title-color);
}

.sub-hero-list-img {
    list-style: none;
    display: flex;
    flex-wrap: wrap;

    max-width: 1200px;
    gap: 30px;
    padding: 0;

}

.sub-hero-list-img-item:hover {
    -webkit-box-shadow: 0px 10px 13px -7px #000000, 0px 8px 12px -5px rgba(0, 0, 0, 0);
    box-shadow: 0px 10px 13px -7px #000000, 0px 8px 12px -5px rgba(0, 0, 0, 0);
}

.sub-hero-list-img-item {
    outline: var(--sub-hero-backgroundcolor) 0.5px solid;

    flex-basis: calc((100% - 60px) / 3);
}

.border {
    padding: 0 17px;
}

.sub-hero-position {
    color: var(--nav-color);
    font-size: 16px;
    font-weight: 400;
    line-height: 187.5%;
    letter-spacing: 0.48px;
}

img {
    width: 100%;
}

.box {
    position: relative;
    width: 370px;
    height: 295px;
    margin: 0 auto;
    overflow: hidden;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #2196F3;
    opacity: 90%;
    transform: translateY(100%);
    transition: transform 250ms
}

.sub-hero-list-img-item:hover .overlay {
    transform: translatey(0);
}

.overlay p {
    font-size: 18px;
    font-weight: 400;
    line-height: 28px;
    letter-spacing: 0.03em;
    text-align: left;
    color: var(--font-color);
    padding: 25px;
}